
dofile( "j_dir.lua" );

-- константы ------------------------------------
DIR_NO		=	0;
DIR_LEFT	=	1;
DIR_RIGHT	=	2;
DIR_UP		=	3;
DIR_DOWN	=	4;
-------------------------------------------------

dofile( "debug.lua" );
dofile( dir_gamedata .. "a2_mainmenu.lua" );
dofile( dir_gamedata .. "a3_map.lua" );
dofile( dir_gamedata .. "a6_heroopen.lua" );
dofile( dir_gamedata .. "a7_levelsummary.lua" );
dofile( dir_gamedata .. "a8_tips.lua" );
dofile( dir_gamedata .. "a12_credits.lua" );
dofile( dir_gamedata .. "a13_intro.lua" );
dofile( dir_gamedata .. "a18_extra.lua" );
dofile( lang_config_dir .. "a23_comics.lua" );
dofile( dir_gamedata .. "a25_treasures.lua" );
dofile( dir_gamedata .. "a26_castle.lua" );
dofile( dir_gamedata .. "a30_reel.lua" );
dofile( dir_gamedata .. "a31_view.lua" );
dofile( dir_gamedata .. "a35_levelstart.lua" );
dofile( dir_gamedata .. "a43_maphelp.lua" );
dofile( dir_gamedata .. "a44_gamehelp.lua" );
dofile( dir_gamedata .. "a49_olive.lua" );
dofile( dir_gamedata .. "g_heroes.lua" );
dofile( dir_gamedata .. "g_interface.lua" );

dofile( dir_gamedata .. "m_map\\m_common.lua" );
dofile( dir_gamedata .. "m_map\\m_man_swin.lua" );

dofile( dir_gamedata .. "p_mg\\p_common.lua" );
dofile( dir_gamedata .. "p_mg\\p_crash_1.lua" );
dofile( dir_gamedata .. "p_mg\\p_crash_2.lua" );
dofile( dir_gamedata .. "p_mg\\p_crash_3.lua" );
dofile( dir_gamedata .. "p_mg\\p_crash_4.lua" );
dofile( dir_gamedata .. "p_mg\\p_crash_5.lua" );
dofile( dir_gamedata .. "p_mg\\p_crash_6.lua" );
dofile( dir_gamedata .. "p_mg\\p_crash_7.lua" );
dofile( dir_gamedata .. "p_mg\\p_crash_8.lua" );


dofile( "levels\\common_back.lua" );
dofile( "levels\\common_chests.lua" );
dofile( "levels\\common_chips.lua" );
dofile( "levels\\common_crash.lua" );
dofile( "levels\\common_fieldappear.lua" );
dofile( "levels\\common_heroes.lua" );
dofile( "levels\\common_hints_time.lua" );
dofile( "levels\\common_levels.lua" );
dofile( "levels\\common_med_levels.lua" );
dofile( "levels\\common_mode.lua" );
dofile( "levels\\common_music.lua" );
dofile( "levels\\common_startxy.lua" );
dofile( "levels\\common_tasks.lua" );
dofile( "levels\\common_timer.lua" );
dofile( "levels\\common_ver.lua" );
dofile( "levels\\common_treasure.lua" );
dofile( "levels\\common_bonus_chest.lua" );






